﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.IO;
using Newtonsoft.Json.Serialization;
using MvcApplication16.Models;

namespace MvcApplication16.Controllers
{
    public class HomeController : Controller
    {
        /// <summary>
        /// 主页
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            return View();
        }
        /// <summary>
        /// 获取数据
        /// </summary>
        /// <param name="classCode"></param>
        /// <returns></returns>
        public ActionResult GetList(string classCode)
        {
            string content = new StreamReader(Server.MapPath("~/Content/Data/Student.json")).ReadToEnd();
            List<Student> list = Newtonsoft.Json.JsonConvert.DeserializeObject<List<Student>>(content);
            if (!string.IsNullOrEmpty(classCode))
            {
                if (classCode != "all")
                {
                    list = list.Where(item => item.ClassCode == classCode).ToList();
                }
            }
            return new JsonResult()
            {
                Data = list,
                JsonRequestBehavior = JsonRequestBehavior.AllowGet
            };
        }
    }
}
